summaryrefslogtreecommitdiff
path: root/sys-devel
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-28 03:04:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-28 03:04:46 -0500
commitc21ba35eb4039c697aed1e9e3dcbc6d62763cf37 (patch)
tree20b59304da94a8437dbae4ac8be33a0aaee85913 /sys-devel
parent2becf90cbeed1e8431dfd896e8a1b0e52085a807 (diff)
downloadbaldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.tar.gz
baldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.tar.xz
baldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.zip
Adding metadata
Diffstat (limited to 'sys-devel')
-rw-r--r--sys-devel/mold/mold-2.42.0.ebuild9
-rw-r--r--sys-devel/mold/mold-9999.ebuild9
2 files changed, 10 insertions, 8 deletions
diff --git a/sys-devel/mold/mold-2.42.0.ebuild b/sys-devel/mold/mold-2.42.0.ebuild
index b3cd5be48136..d2ffaed8c671 100644
--- a/sys-devel/mold/mold-2.42.0.ebuild
+++ b/sys-devel/mold/mold-2.42.0.ebuild
@@ -35,6 +35,9 @@ RDEPEND="
mimalloc? ( >=dev-libs/mimalloc-3:= )
"
DEPEND="${RDEPEND}"
+BDEPEND="
+ test? ( llvm-core/clang:* )
+"
pkg_pretend() {
# Requires a c++20 compiler, see #831473
@@ -74,10 +77,8 @@ src_prepare() {
# Fails if binutils errors out on textrels by default
rm test/textrel.sh test/textrel2.sh || die
- # Fails with (sometimes, maybe dependent on sys-devel/clang default
- # linker):
- # "/usr/bin/x86_64-pc-linux-gnu-ld.bfd: unrecognised emulation mode: llvm"
- rm test/lto-llvm2.sh || die
+ # Don't let the default linker config affect the tests, bug #974439
+ sed -e 's:\(clang\|clang\+\+\):\1 --no-default-config:' -i test/*.sh || die
# static-pie tests require glibc built with static-pie support
if ! has_version -d 'sys-libs/glibc[static-pie(+)]'; then
diff --git a/sys-devel/mold/mold-9999.ebuild b/sys-devel/mold/mold-9999.ebuild
index b3cd5be48136..d2ffaed8c671 100644
--- a/sys-devel/mold/mold-9999.ebuild
+++ b/sys-devel/mold/mold-9999.ebuild
@@ -35,6 +35,9 @@ RDEPEND="
mimalloc? ( >=dev-libs/mimalloc-3:= )
"
DEPEND="${RDEPEND}"
+BDEPEND="
+ test? ( llvm-core/clang:* )
+"
pkg_pretend() {
# Requires a c++20 compiler, see #831473
@@ -74,10 +77,8 @@ src_prepare() {
# Fails if binutils errors out on textrels by default
rm test/textrel.sh test/textrel2.sh || die
- # Fails with (sometimes, maybe dependent on sys-devel/clang default
- # linker):
- # "/usr/bin/x86_64-pc-linux-gnu-ld.bfd: unrecognised emulation mode: llvm"
- rm test/lto-llvm2.sh || die
+ # Don't let the default linker config affect the tests, bug #974439
+ sed -e 's:\(clang\|clang\+\+\):\1 --no-default-config:' -i test/*.sh || die
# static-pie tests require glibc built with static-pie support
if ! has_version -d 'sys-libs/glibc[static-pie(+)]'; then